SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Typedefs
NetworkIDObject.h File Reference

A class you can derive from to make it easier to represent every networked object with an integer. This way you can refer to objects over the network. More...

`#include "types.h"`
`#include "memoryoverride.h"`
`#include "Export.h"`

Go to the source code of this file.

## Classes

class | SLNet::NetworkIDObject
| Unique shared ids for each object instance. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Typedefs

typedef uint32_t | SLNet::NetworkIDType

## Detailed Description

A class you can derive from to make it easier to represent every networked object with an integer. This way you can refer to objects over the network.

Definition in file NetworkIDObject.h.